Vouchers don't work - Prestashop


  • Default avatar
    warren2    
     3 years ago
    0

    I've just installed version 1.1.9 and now my vouchers don't work. I have set up a coupon called TEST123 to demonstrate this on my site http://www.mineralium-deadsea.com

    Here is the coupon definition: http://o7.no/16bpWun
    Here is my cart when I try to use the coupon: http://o7.no/10qr4Mg
    Here is a picture of my dashboard: http://o7.no/10qrja1

    I have 8 vouchers defined and none of them seem to work.

    I'm using the latest version of Prestashop - 1.5.4.1

    Any ideas?

    Warren
  • Your avatar
    seyi    
     3 years ago
    0

    Hello,

    It looks like its not even calling the AwoCoupon system. You can test this by going to awocoupon->configuration->error messages and changing the errors to something more identifiable and trying it in the front end again.

    Also verify that your overrides are still in place. You can find the files here:
    http://awodev.com/documentation/awocoupon-pro/installation

    prestashop tab.
  • Default avatar
    warren2    
     3 years ago
    0

    Hi,
    I checked the overrides and they all appear in place.

    Here is override/classes: http://o7.no/17gp508
    Here is override/classes/order: http://o7.no/16zv2l2
    Here is override/controllers/front: http://o7.no/17gplvT

    All my error messages are customized http://o7.no/17gpPlI and the one that I receive "This voucher does not exists." doesn't appear in my list so I assume its a system message.

    What else can I try?

    Warren
  • Default avatar
    warren2    
     3 years ago
    0

    I switched off smarty cache and forced recompile, then switched the cache on again and now it all works fine!

    You might want to add this to your installation or troubleshooting notes!!
  • Your avatar
    seyi    
     3 years ago
    0

    Glad you found the problem. We will take a look to see why cache could have caused this, and also update the troubleshooting section. Thanks.
  • Default avatar
    jaime9    
     3 years ago
    0

    Hi,
    I am having the same issue on my Prestashop 1.5.5. I have tried all of the above and still receiving the same message and unable to use the codes.

    Can you help me out please?

    Thanks
    Jaime
  • Your avatar
    seyi    
     3 years ago
    0

    Hello,

    I will be happy to look at it if you can send a private message with temporary ftp and admin access.